Offers
Create offer
Creates a pending offer without publishing it.
POST
/offersoffers:writeRequest
urlstring · bodyOriginal HTTPS URL for the product.mandatorytitlestring · bodyPublic title of the offer.mandatorymarketplacestring · bodySource marketplace.optionalpricenumber · bodyCurrent price.optionaloriginal_pricenumber · bodyPrevious price.optionalcurrencystring · bodyISO 4217 currency.optionalimagestring · bodyHTTPS URL of the image.optionalstorestring · bodyStore name.optionalcategorystring · bodyCategory.optionalcouponstring · bodyCoupon code.optionalcopystring · bodyEditorial text of the offer.optionalstatusstring · bodyCurated status.optionalExample
curl
curl -X POST 'https://achadu.com/api/v1/offers' \
+ -H 'Authorization: Bearer ach_live_...' \
+ -H 'Accept: application/json' \
+ -H 'Content-Type: application/json' \
+ --data '{
"url": "https://example.com/product",
"title": "Air fryer 5L",
"marketplace": "string",
"price": 329.9,
"original_price": 329.9
}'Answer
201Resource created4xxError with code, message and request_id